create or update a user, and conditionally commit the user's data

This "upsert" API synchronously processes a user's data and returns the processing report. If any error(s) occurs during the processing, the report will include error information and a BadRequest response will be returned.

This API can be exercised in dry-run mode by setting the commit query parameter as follows. If commit is false, user data will be validated but there is no persistence of the user data in Cogito services. If commit is true, user data will be validated and user objects will be persisted for users with no validation errors. By default, commit is true.

Processing may take a relatively long amount of time so the request's timeout should be set accordingly.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

client's namespace

Query Params
string
Defaults to true

flag to indicate dry-run option

Body Params
string
enum
Allowed:
string
required

immutable user ID

string

salutation e.g. Mr., Miss

string
required

user's first name (aka given name)

string

user's middle name or initial

string
required

user's last name (aka family name)

string

user's suffix e.g. Jr., IV

string
required

job title

string

If the user is participating in a pilot, this field should be set to Test or Control.

string
required

status of the user's account; must be Active, or Inactive

string

set to Y if the user works from home and set to N if the user does not work from home

string
required

user's primary Organization

string
required

user's Contact Center

string
required

user's Site

roles
array of strings
required

user's role(s) e.g. Agent, Supervisor, Manager, etc.

roles*
teams
array of strings

user's Team(s)

teams
telephonyConfigurations
array of objects
required
telephonyConfigurations*
string

immutable ID of the user's coach

string

user's supervisor name (should be firstName plus lastName)

string

immutable ID of the user's direct supervisor

string

user's email address

string

The date when the user was activated, in a yyyy-mm-dd format. If a date is not provided, the activation date will be set to the date the user is processed.

string

The date when the user was deactivated, in a yyyy-mm-dd format. If a user's status=Inactive and this date is not provided, the deactivation date will be set to the date the user is processed.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Choose an example:
application/json
application/vnd.cogitocorp.v1+json